package org.jharks.workflow.survey.engine.model;

import java.util.Collection;

import org.jharks.workflow.survey.engine.web.WorkFlowWebContext;

/**
 * Interface for view filters.
 * 
 * @author Michael J. Rizzo
 *
 */
public interface ViewFilter {

	/**
	 * Performs a filtering to on the survey engine view acording to the implemented logic.
	 */
	public void filter(Collection<Question> questions, WorkFlowWebContext workflowWebContext); 
	
}
